# Public RoR Gauntlet

This is the individual version of the racing mod used in the Loadout Races that have been broadcasted on twitch over at [RiskofResources](https://www.riskofresources.com). 
It includes the replacing death mechanic with Lazarus Wings, seeded behavior of interactables between settable seeds, and random loadout rolling. 
Play with your friends by sharing your Gauntlet Code, allowing players to play whenever they're available and compare best times.
**Enjoy racing with your friends!**

# Usage

1. In order to set up a loadout race, the host should configure a R2ModMan / Thunderstore ModMan profile that is identical between the runners. 
If players have mods that affect the number of items, unlocks items, adds stages, adds characters, adds abilities, it'll add variation between seeds.

2. The "host" can also configure the way that the mod works. To do this, run the game with the mods you want to use once to create config, than configure the 'Game Rules' settings. Default values mimic the RiskOfResources Loadout Races.\
\
![configuration options](https://i.imgur.com/Keb32CP.png)

3. Once you have selected your config options, export profile as code and share it with all fellow racers. They should use the R2ModMan / Thunderstore ModMan <b>import profile from code</b> option\
\
![export as code](https://i.imgur.com/5P6EUDz.png)

4. Choose any seed (a phrase, word, or just a number from 0 to 2 trillion) and share that seed (or the number that appears). Place it in the <b>Gauntlet Code</b> tab\
\
![gauntlet code](https://i.imgur.com/tU06vc6.png)

5. Race away, compare times, and see how it goes! Currently the mod does not support sharing times, so take a screenshot of your runreport screen! If you accidentally forget, you can also go to Logbook/History to find it.

NOTE: Typing seed "random" will genrate a random seed, as well as list what it generated if you want to shar it with others!

If you have any questions, concerns, or incredibly obvious bugs that were somehow missed go to the RiskOfResources discord and ping zinq aggressively (https://discord.gg/6u2xCj4be5)

# Changelog

**1.5.0**

- I know this is incredibly late, but it's a speedrun QoL update!
- Adds instant resetting through the `quick_reset` command
- Allows for easier verification through listing mods with `verify` command (optional, highly recommended)

**1.4.0**

- Reconcile timer on run report with UI timer (Note: the run report is generated when you charge the ship and the screen goes white which is about 3 seconds before the UI timer disappears)
- Add Lazarus Wings display models to Survivors Happy ![Plus5](https://cdn.betterttv.net/emote/63e05d66dc781fe9bd16bfaf/1x.webp) ing

**1.3.0**

- Add Random Feature!!!

**1.2.5**

- Override pregenerated "Email" text

**1.2.4**

- Fun Fact: uint and ulongs are not the same thing

**1.2.3**

- Fix issues with Gauntlets larger than max number of survivors, now a slider config

**1.2.2**

- Delete markdown

**1.2.1**

- Fix readme with imgur links

**1.2.0**

- Make the mod public ready

**1.1.0**

- Seeded recyclers via list (ported from GauntletMod)

**1.0.3**

- Add expansion check to remove accidental pirating

**1.0.2**

- Add blue portals back and give them an RNG
- Do prismatic thing and allow all items in a race

**1.0.1**

- Fix RNG and removing the variants (dumbly)

**1.0.0**

- Ported the RoRGauntletMod into a solo version with solo features, such as:
- Repurposed Mailing List for holding data
- Created "Gauntlet Code" and that for sharing seeds with a CTRL+C + CTRL+V
- Removed ALL API calls and mentions
- Whatever else I did
